> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sub Account

> Retrieve a paginated list of sub-accounts belonging to the authenticated business.



## OpenAPI

````yaml GET /sub-accounts
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /sub-accounts:
    get:
      description: >-
        Retrieve a paginated list of sub-accounts belonging to the authenticated
        business.
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
      responses:
        '200':
          description: Sub-accounts retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation Successful
                  data:
                    type: object
                    properties:
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 5
                            userId:
                              type: integer
                              example: 1
                            businessId:
                              type: string
                              example: 9689c9df-a313-4c5b-b71a-056c89b90978
                            reference:
                              type: string
                              example: n2gne6jy1lo31ynt
                            email:
                              type: string
                              format: email
                              example: example@gmail.com
                            generatedEmail:
                              type: string
                              example: sub-n2gne6jy1lo31ynt-example@gmail.com
                            quidaxSubAccountId:
                              type: string
                              example: irnwept4cx
                            active:
                              type: integer
                              example: 1
                            deletedAt:
                              type: string
                              nullable: true
                              example: null
                            createdAt:
                              type: string
                              format: date-time
                              example: '2026-03-15T20:07:33.000+01:00'
                            updatedAt:
                              type: string
                              format: date-time
                              example: '2026-03-15T20:07:33.000+01:00'
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 10
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                required:
                  - success
                  - message
                  - data
        '401':
          description: Unauthorized

````